package alx.p06_funkcje.importowanie;

import alx.p06_funkcje.przyklady.*;

// Import wszystkich klas publicznych z podanego pakietu.
// Jeśli w programie użyjemy nazwy, która znajduje się w różnych pakietach, to mamy konfokt nazw i to się skompiluje.
// Podczas ustalania skąd się wzięła jakaś nazwa kompilator stosuje taką kolejność:
// 1) Klasy zaimportowane wprost (jak w v2)
// 2) Klasy z bieżącego pakietu
// 3) Klasy zaimportowane z * , wśród nich klasy z pakietu java.lang oraz klasy z pakietu domyślnego (którego nie należy używać)
public class V3_ImportGwiazdka {

	public static void main(String[] args) {
		System.out.println("Pole kwadratu 5 = " + Geometria.poleKwadratu(5.0));
		System.out.println("Pole koła 5 = " + Geometria.poleKola(5.0));
		System.out.println("Pole prostokąta 3×5 = " + Geometria.poleProstokata(3.0, 5.0));
		System.out.println("100 mil = " + JednostkiMiary.mileNaKm(100) + " km");
		System.out.println("100 km = " + JednostkiMiary.kmNaMile(100) + " mil");
	}

}
